DELETE
/
v1
/
teams
/
{teamId}
/
content
/
slideshows
/
{contentItemId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.deleteSlideshow({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  contentItemId: process.env.OCTOSPARK_CONTENT_ITEM_ID ?? "contentItemId",
  query: {
    "expectedRevision": process.env.OCTOSPARK_EXPECTED_REVISION ?? "expectedRevision",
  },
})
{
  "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deleted": true,
  "revision": 1,
  "cancelledArtifactRunIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "cancelledRenderJobIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

idempotency-key
string
required

a string at most 200 character(s) long

Required string length: 1 - 200

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

contentItemId
string<uuid>
required

Slideshow content item id (UUID), as returned by createSlideshow, createSlideshowGeneration, or listSlideshows.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Query Parameters

expectedRevision
string
required

a string to be decoded into a number

Response

DeleteSlideshowResponse

contentItemId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
deleted
enum<boolean>
required
Available options:
true
revision
integer
required

a non-negative number

Required range: x >= 0
cancelledArtifactRunIds
string<uuid>[]
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
cancelledRenderJobIds
string<uuid>[]
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$